Bug 1265346 - Appropriate console keymap not loaded when using non-English language in the installer
Appropriate console keymap not loaded when using non-English language in the ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
All All
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 1260417 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 13:47 EDT by Adam Williamson
Modified: 2017-02-28 04:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-09-22 13:47:57 EDT
This is kind of related to https://bugzilla.redhat.com/show_bug.cgi?id=1182562 . It's basically another issue when you do this:

inst.lang=ru_RU.UTF-8 inst.text

mkolman did a great job of solving the problem where that results in an interface you can't read (because an appropriate console font isn't loaded so none of the translated characters render properly). However, you still can't *type* anything in the chosen language, because we don't attempt to load a correct console keyboard layout - which would be 'ru' in this case. AFAICT we just always have 'us' as the console layout.

This is kind of a big problem because the 'yes/no' prompts are translated and expect you to be able to type Да or нет, which you can't do if you don't have the 'ru' layout loaded.

There's some code in pyanaconda/keyboard.py for console keymap loading - _try_to_load_keymap() - and I'm not sure *exactly* when that gets hit, but it definitely doesn't seem to happen when you just run a text install in Russian with the parameters shown above.

Note: this also affects EL 7, so it would be good to fix it there too.
Comment 1 Adam Williamson 2015-09-22 13:57:02 EDT
Note for users struggling with this: you can work around it with kernel parameter 'vconsole.keymap'. To do a Russian text install with current EL 7 images, this seems to be the ticket:

inst.lang=ru_RU.UTF-8 inst.text vconsole.keymap=ru vconsole.font=UniCyr_8x16

or instead of UniCyr_8x16 you can use latarcyrheb-sun16 , whichever you prefer (the vconsole.font parameter works around #1182562, until we have a new EL 7 release with the fix for that included).
Comment 2 Vit Ry 2015-10-01 03:33:47 EDT
> To do a Russian text install with current EL 7 images, this seems to be the ticket:
> inst.lang=ru_RU.UTF-8 inst.text vconsole.keymap=ru vconsole.font=UniCyr_8x16

Also in that case 'r'-key (refresh function) does not work correctly.
'q', 'c' and 'b' work fine. But 'r' - does not refresh the screen -> it looks like just hitting Return key.
Comment 3 David Shea 2015-12-02 15:55:05 EST
*** Bug 1260417 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2016-11-24 07:33:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Adam Williamson 2016-12-15 18:41:43 EST
I don't believe anything was done to fix this, and a check of the localization.py git log doesn't show anything.
Comment 6 Fedora End Of Life 2017-02-28 04:49:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.